* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: PingFang SC;
  font-weight: 400;
  font-size: 0.16rem;
  color: #333;
}

:root {
  /* --blue: #003699;
  --orange: #ff8106;
  --light-blue: #f1f7fb;
  --gray: #7b7b7b; */
}

body {}

span {
  font-family: inherit;
  font-weight: inherit;
  font-size: inherit;
  color: inherit;
}

/* @font-face {
  font-family: PingFang SC;
  src: url(../fonts/PingFang-bold.ttf);
}

@font-face {
  font-family: Poppins;
  src: url(../fonts/Poppins-SemiBold.ttf);
} */

html {
  scroll-behavior: smooth;
}

a {
  display: block;
  outline: 0;
  text-decoration: none;
}

ul,
ol {
  padding-left: 2em;
}

input,
textarea,
button,
select {
  border: 0;
  resize: none;
  outline: 0;
  background: transparent;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

button {
  cursor: pointer;
}

img {
  max-width: 100%;
  object-fit: contain;
}

/*多行溢出*/
.ellipsis1 {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.ellipsis2 {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
  overflow: hidden;
  -webkit-line-clamp: 2;
  line-clamp: 2;
}

.ellipsis3 {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
  overflow: hidden;
  -webkit-line-clamp: 3;
  line-clamp: 3;
}

/* hover-图片放大1.1 */
.scale-box,
.imgBox {
  overflow: hidden;
}

.scale-box .scale-img,
.imgBox .scale-img {
  width: 100%;
  height: 100%;
  transition: all 0.3s linear;
  cursor: pointer;
  object-fit: cover;
}

.scale-box:hover .scale-img,
.imgBox:hover .scale-img {
  transform: scale(1.1);
}

/* 常用盒子阴影 */
.shadow_box {
  box-shadow: 0 0.02rem 0.12rem 0 rgba(0, 0, 0, 0.1);
}

/* 水波纹效果 */
.btn-ripple {
  vertical-align: bottom;
}

.btn-ripple:not(:disabled):hover {
  opacity: 1;
  position: relative;
  overflow: hidden;
}

.btn-ripple:not(:disabled):hover::before {
  animation: ani_ripple 0.75s;
  z-index: 1;
  content: "";
  position: absolute;
  display: block;
  transition: all 0.6s;
  width: 100%;
  height: 0;
  border-radius: 50%;
  left: 50%;
  top: 50%;
  padding-top: 100%;
  transform: translateX(-50%) translateY(-50%);
}

@keyframes ani_ripple {
  0% {
    background: rgba(0, 0, 0, 0.25);
    transform: translateX(-50%) translateY(-50%) scale(0);
  }

  to {
    background: transparent;
    transform: translateX(-50%) translateY(-50%) scale(1);
  }
}

header {
  position: fixed;
  top: 0;
  z-index: 999;
  width: 100%;
}

.main {
  width: 94%;
  max-width: 14.4rem;
  margin: 0 auto;
}

.back {
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}

.swiper-slide>img,
.swiper-slide>video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

article img {
  width: revert-layer;
  height: auto;
}

/* 单选框颜色 */
input[type='checkbox'] {
  cursor: pointer;
  position: relative;
  width: .18rem;
  height: .18rem;
  font-size: .12rem
}

input[type='checkbox']::after {
  position: absolute;
  top: 0;
  color: #000;
  width: .18rem;
  height: .18rem;
  display: inline-block;
  visibility: visible;
  padding-left: 0rem;
  text-align: center;
  content: ' ';
  border-radius: .03rem
}

input[type='checkbox']:checked::after {
  content: "✓";
  color: #fff;
  font-size: .12rem;
  font-weight: bold;
  background-color: #B35622;
  border: .01rem solid #fff;
}
